summarylogtreecommitdiffstats
path: root/before-dawn.sh
diff options
context:
space:
mode:
Diffstat (limited to 'before-dawn.sh')
-rw-r--r--before-dawn.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/before-dawn.sh b/before-dawn.sh
index 3a12998e94ec..f9ced1432cfc 100644
--- a/before-dawn.sh
+++ b/before-dawn.sh
@@ -1,15 +1,14 @@
#!/bin/sh
set -e
_APPDIR="/usr/lib/@appname@"
-_ASAR="${_APPDIR}/@appasar@"
+_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
-#export ELECTRON_IS_DEV=0
+export ELECTRON_IS_DEV=0
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_ASAR}" "$@"
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
else
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
-fi
-exit \ No newline at end of file
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file